CONTOUR_CREATE_VIEWABLE_SEQUENCE(3)

EXPERIMENTAL_FUNC
contour_create_viewable_sequence - Create a sequence of viewable contour images.

SYNOPSIS
#include <karma_contour.h>

KViewableContourImage * contour_create_viewable_sequence

(KContourImage *cimages, unsigned int num, KWorldCanvas canvas, KViewableContourImageGroup group)

DESCRIPTION
This routine will create a sequence of viewable contour image objects from a sequence of contour images. At a later time, these viewable contour images may be made visible. This routine will not cause the canvas to be refreshed.

cimage
    The contour images.

num The number of contour images in the sequence.

canvas
    The world canvas onto which the viewable contour images may be drawn. Many viewable contour images may be associated with a single canvas.

group
    The KViewableContourImageGroup to add the new objects too. If NULL, it is not added to any group.

RETURN VALUE
A pointer to a dynamically allocated array of viewable contour image objects on success, else NULL.

Multi-threading Level
Unsafe.

NOTE
The KViewableContourImage objects will be automatically destroyed if the canvas is destroyed.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/